// PassZoneDemoDlg.cpp : implementation file
//

#include "stdafx.h"
#include "PassZoneDemo.h"
#include "PassZoneDemoDlg.h"
#include "SenseUK.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CPassZoneDemoDlg dialog

CPassZoneDemoDlg::CPassZoneDemoDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CPassZoneDemoDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CPassZoneDemoDlg)
	m_OldPass = _T("");
	m_NewPass = _T("");
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);

	memset(m_cDisk, 0, sizeof(m_cDisk));
}

void CPassZoneDemoDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CPassZoneDemoDlg)
	DDX_Text(pDX, IDC_EDIT_OLDPASS, m_OldPass);
	DDV_MaxChars(pDX, m_OldPass, 32);
	DDX_Text(pDX, IDC_EDIT_NEWPASS, m_NewPass);
	DDV_MaxChars(pDX, m_NewPass, 32);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CPassZoneDemoDlg, CDialog)
	//{{AFX_MSG_MAP(CPassZoneDemoDlg)
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_BUTTON_LOGIN, OnButtonLogin)
	ON_BN_CLICKED(IDC_BUTTON_LOGOUT, OnButtonLogout)
	ON_BN_CLICKED(IDC_BUTTON_CHANGEPASS, OnButtonChangepass)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CPassZoneDemoDlg message handlers

BOOL CPassZoneDemoDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	BOOL bRet = FALSE;
	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
    bRet=UKGetRemovalLetter(m_cDisk);
    if(bRet==FALSE)
    {
		MessageBox("U disk can not be found!Make sure that has been inserted!");
        return FALSE;
    }

	// TODO: Add extra initialization here
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CPassZoneDemoDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CPassZoneDemoDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CPassZoneDemoDlg::OnButtonLogin() 
{
	// TODO: Add your control notification handler code here
    char OldPass[33]="";

    UpdateData(TRUE);
    // Password length between 0 - 32 bytes
	if(m_OldPass.GetLength() > 32)
    {
        MessageBox("Password error!");
        return;
    }
    memcpy(OldPass,m_OldPass,m_OldPass.GetLength());

    if( UKPassAreaLogin(m_cDisk[0], OldPass) == FALSE )
    {
        MessageBox("Login failed!");
        return;
    }

    MessageBox("Successed");
    return;
}

void CPassZoneDemoDlg::OnButtonLogout() 
{
	// TODO: Add your control notification handler code here
	if( UKPassAreaLogout(m_cDisk[0]) == FALSE)
    {
        MessageBox("Logout failed!");
        return;
    }

    MessageBox("Successed");
    return;
}

void CPassZoneDemoDlg::OnButtonChangepass() 
{
	// TODO: Add your control notification handler code here
    char OldPass[33]="";
    char NewPass[33]="";

    UpdateData(TRUE);
    // Password length between 0 - 32 bytes
	if(m_OldPass.GetLength() > 32)
    {
        MessageBox("Password error!");
        return;
    }
	if(m_NewPass.GetLength() > 32)
    {
        MessageBox("Password error!");
        return;
    }
    memcpy(OldPass,m_OldPass,m_OldPass.GetLength());
    memcpy(NewPass,m_NewPass,m_NewPass.GetLength());

    if( UKPassAreaChangePwd(m_cDisk[0], OldPass,NewPass) == FALSE )
    {
        MessageBox("Modification failed!");
        return;
    }

    MessageBox("Successed");
    return;
}
